Free cookie consent management tool by TermsFeed

Deployment API - Get Deployment Results

On This Page

Supported Versions

Below are the versions of the API that support this endpoint.

API Version Is supported?
V1 Yes
V2 Yes
V3 Yes

Deployment statuses

Every deployment has a status, returned as the status attribute by this endpoint and by the import and export endpoints. The values below apply to all versions of the API unless noted otherwise.

Status Is deployment finished? Description
IN_PROGRESS No The deployment is still running.
PENDING_REVIEW No The deployment is waiting for review. Only occurs on imports, and only when deployment approvals are enabled on the target environment.
COMPLETED Yes The deployment finished successfully with no errors.
COMPLETED_AND_SYNCING Yes The import finished successfully, but record types configured for a post-deployment sync are still syncing asynchronously. Changes to COMPLETED once the syncs finish regardless of whether or not the syncs were successful.
COMPLETED_WITH_IMPORT_ERRORS Yes The import finished, but some objects failed to import. Review the deployment log for more details.
COMPLETED_WITH_PUBLISH_ERRORS Yes The import finished with no import errors, but one or more portals failed to publish or unpublish.
COMPLETED_WITH_EXPORT_ERRORS Yes The export finished, but some contents could not be exported. Review the deployment log for more details.
FAILED Yes The deployment did not complete. On imports this commonly means database scripts failed or did not fully execute, so no objects were deployed. Review the deployment log for more details.
REJECTED Yes The deployment was rejected by a reviewer and was not applied on the target environment. Only occurs when deployment approvals are enabled.
UNAVAILABLE No The status could not be determined, typically because the other environment involved in the deployment is on a different version of Appian.

Version 3

Overview

This endpoint uses the UUID of the deployment to retrieve information about a deployment. You can use this endpoint to retrieve the status, regardless of whether you are importing or exporting.

  • HTTP Request Method: GET
  • Endpoint: /deployments/<uuid>

You do not need to specify the Action-Type in the header.

Request

When performing a GET request, you do not need a request body. However, you do need to specify the UUID of the deployment that you are querying for. This is done by adding a path parameter to the end of the URL, such as: https://<domain>/suite/deployment-management/v3/deployments/<UUID>

Request example

Request

1
GET /deployments/<uuid>

cURL example

When calling the API from a command line interface, you can use cURL to make a request. The cURL command with the deployment UUID looks like:

1
2
3
curl --location --request
GET 'https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/' \
--header 'Appian-API-Key: <API key>'

Response

Successful import response

Attribute Value
summary Overview of the number of database scripts and objects that were deployed.
summary.databaseScripts Overview of the number of scripts executed with the deployment and the number of data sources modified by those scripts.
summary.databaseScripts.dataSources The total number of data sources modified by the deployment request.
summary.databaseScripts.databaseScripts The total number of database scripts executed in the deployment request.
summary.plugins Overview of deployment results for the plug-ins included in the original deployment request.

If there are any errors deploying plug-ins, all plug-ins are skipped or reverted and the status of the deployment is FAILED. A summary is only present if plug-ins successfully deploy.
summary.plugins.total The total number of plug-ins in the package.
summary.plugins.imported The number of plug-ins in the package that successfully imported.
summary.plugins.skipped The number of plug-ins in the package that were skipped because there were no changes.
summary.objects Overview of deployment results for the objects included in the original deployment request, as part of the package (.zip).
summary.objects.total The total number of objects in the package.
summary.objects.imported The number of objects in the package that successfully imported.
summary.objects.failed The number of objects in the package that failed to import due to problems.
summary.objects.skipped The number of objects in the package that were skipped because there were no changes.
summary.adminConsoleSettings.total The total number of Admin Console settings included.
summary.adminConsoleSettings.imported The number of Admin Console settings that were successfully imported.
summary.adminConsoleSettings.failed The number of Admin Console settings that failed to import due to problems.
summary.adminConsoleSettings.skipped The number of Admin Console settings that were skipped because there were no changes.
deploymentLogUrl The URL to use to retrieve the deployment log of this deployment.
status Status of the deployment. See Deployment statuses for the full list of possible values and meaning.

Import response example

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
{
    "summary": {
        "databaseScripts": {
            "dataSources": 2,
            "databaseScripts": 10
        },
        "adminConsoleSettings": {
            "total": 7,
            "imported": 6,
            "failed": 0,
            "skipped": 1
        },
        "plugins": {
            "total": 3,
            "imported": 3,
            "skipped": 0
        },
        "objects": {
            "total": 22,
            "imported": 22,
            "failed": 0,
            "skipped": 0
        }
    },
    "deploymentLogUrl": "https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/log/",
    "status": "COMPLETED"
}

Successful export response

Attribute Value Export type Resource path
packageZip The URL for retrieving the exported file (.zip). Application / Package /package-zip
databaseScriptsZip The URL for the exported database scripts resource (.zip). The ZIP contains all scripts in the deployment, along with a script-order.xml file that records the execution order and target data source for each script. See Database scripts ZIP format. Package /db-scripts-zip
pluginsZip The URL for the exported plug-ins resource. Package /plugins-zip
customizationFile The URL for the exported import customization file resource. A resource for this attribute will only be returned if an import customization file is included in the package1. Only the service account will be able to access the values specified in the file; any downloads from users will return a file with all sensitive values removed. Package /customization-file
customizationFileTemplate The URL for the exported import customization file template resource. Application / Package /customization-file-template
deploymentLogUrl The URL to use to retrieve the deployment log of this deployment. Application / Package /log
status Status of the deployment. See Deployment statuses for the full list of possible values and meaning. Application / Package n/a

1Import customization files stored on the package are only returned for single package exports. If multiple packages are exported, only the customization template will be available even if the selected packages contain a specific import customization file. If multiple packages require an ICF in a deployment, you must manually consolidate the multiple ICFs into a single ICF for the deployment.

The response structure matches the contents of your export. For example, databaseScriptsZip is only returned when the exported packages contain database scripts, and pluginsZip is returned when they contain plug-ins.

Export response example

1
2
3
4
5
6
7
8
9
{
    "packageZip": "https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/package-zip/",
    "databaseScriptsZip": "https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/db-scripts-zip/",
    "pluginsZip": "https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/plugins-zip/",
    "customizationFile": "https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/customization-file/",
    "customizationFileTemplate": "https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/customization-file-template/",
    "deploymentLogUrl": "https://mysite.appiancloud.com/suite/deployment-management/v3/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/log/",
    "status": "COMPLETED"
}

All exported resources have the same data retention specified in the Admin console. After the retention period has passed, you will get a 404 error if you try to access the resource.

Version 2

Overview

This endpoint uses the UUID of the deployment to retrieve information about a deployment. You can use this endpoint to retrieve the status, regardless of whether you are importing or exporting.

  • HTTP Request Method: GET
  • Endpoint: /deployments/<uuid>

You do not need to specify the Action-Type in the header.

Request

When performing a GET request, you do not need a request body. However, you do need to specify the UUID of the deployment that you are querying for. This is done by adding a path parameter to the end of the URL, such as: https://<domain>/suite/deployment-management/v2/deployments/<UUID>

Request example

Request

1
GET /deployments/<uuid>

cURL example

When calling the API from a command line interface, you can use cURL to make a request. The cURL command with the deployment UUID looks like:

1
2
3
curl --location --request
GET 'https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/' \
--header 'Authorization: Bearer <access_token>'

Response

Successful import response

Attribute Value
summary Overview of the number of database scripts and objects that were deployed.
summary.databaseScripts The total number of database scripts included in the original deployment request.
summary.plugins Overview of deployment results for the plug-ins included in the original deployment request.

If there are any errors deploying plug-ins, all plug-ins are skipped or reverted and the status of the deployment is FAILED. A summary is only present if plug-ins successfully deploy.
summary.plugins.total The total number of plug-ins in the package.
summary.plugins.imported The number of plug-ins in the package that successfully imported.
summary.plugins.skipped The number of plug-ins in the package that were skipped because there were no changes.
summary.objects Overview of deployment results for the objects included in the original deployment request, as part of the package (.zip).
summary.objects.total The total number of objects in the package.
summary.objects.imported The number of objects in the package that successfully imported.
summary.objects.failed The number of objects in the package that failed to import due to problems.
summary.objects.skipped The number of objects in the package that were skipped because there were no changes.
summary.adminConsoleSettings.total The total number of Admin Console settings included.
summary.adminConsoleSettings.imported The number of Admin Console settings that were successfully imported.
summary.adminConsoleSettings.failed The number of Admin Console settings that failed to import due to problems.
summary.adminConsoleSettings.skipped The number of Admin Console settings that were skipped because there were no changes.
deploymentLogUrl The URL to use to retrieve the deployment log of this deployment.
status Status of the deployment. See Deployment statuses for the full list of possible values and meaning.

Import response example

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
{
    "summary": {
        "databaseScripts": 0,
        "adminConsoleSettings": {
            "total": 7,
            "imported": 6,
            "failed": 0,
            "skipped": 1
        },
        "plugins": {
            "total": 3,
            "imported": 3,
            "skipped": 0
        },
        "objects": {
            "total": 22,
            "imported": 22,
            "failed": 0,
            "skipped": 0
        }
    },
    "deploymentLogUrl": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/log/",
    "status": "COMPLETED"
}

Successful export response

Attribute Value Export type Resource path
packageZip The URL for retrieving the exported file (.zip). Application / Package /package-zip
dataSource Name or UUID of the data source. Package n/a
databaseScripts An array of any scripts included in the export. Package n/a
databaseScripts.filename File name of each database script (.sql or .ddl). Package n/a
databaseScripts.orderId Integer specifying the order the file should be executed in for import. Package n/a
databaseScripts.url The URL for the exported databse script resource. Package /db-scripts/
pluginsZip The URL for the exported plug-ins resource. Package /plugins-zip
customizationFile The URL for the exported import customization file resource. A resource for this attribute will only be returned if an import customization file is included in the package. Only the service account will be able to access the values specified in the file; any downloads from users will return a file with all sensitive values removed. Package /customization-file
customizationFileTemplate The URL for the exported import customization file template resource. Application / Package /customization-file-template
deploymentLogUrl The URL to use to retrieve the deployment log of this deployment. Application / Package /log
status Status of the deployment. See Deployment statuses for the full list of possible values and meaning. Application / Package n/a

Export response example

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
{
    "packageZip": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/package-zip/",
    "dataSource": "jdbc/AppianAnywhere",
    "databaseScripts": [
       {
        "fileName": "Create Tables.sql",
        "orderId": 1,
        "url": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/db-scripts/1/"
       },
       {
        "fileName": "Update Reference Data.sql",
        "orderId": 2,
        "url": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/db-scripts/2/"
       }
    ],
    "pluginsZip": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/plugins-zip/",
    "customizationFile": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/customization-file/",
    "customizationFileTemplate": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/customization-file-template/",
    "deploymentLogUrl": "https://mysite.appiancloud.com/suite/deployment-management/v2/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/log/",
    "status": "COMPLETED"
}

All exported resources have the same data retention specified in the Admin console. After the retention period has passed, you will get a 404 error if you try to access the resource.

Version 1

Overview

This endpoint retrieves information about a deployment on an Appian environment, given the UUID of the deployment.

  • HTTP Request Method: GET
  • Endpoint: /deployments/<uuid>

Request

When performing a GET request, you do not need a request body. However, you do need to specify the UUID of the deployment that you are querying for. This is done by adding a path parameter to the end of the URL, such as: https://<domain>/suite/deployment-management/v1/deployments/<UUID>

Request example

Request

1
GET /deployments/<uuid>

cURL example

When calling the API from a command line interface, you can use cURL to make a request. The cURL command with the deployment UUID looks like:

1
2
3
curl --location --request \
GET 'https://mysite.appiancloud.com/suite/deployment-management/v1/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/' \
--header 'Authorization: Bearer <access_token>'

Response

Successful response

Attribute Value
summary Overview of the number of database scripts and objects that were deployed.
summary.databaseScripts The total number of database scripts included in the original deployment request.
summary.plugins Overview of deployment results for the plug-ins included in the original deployment request.

If there are any errors deploying plug-ins, all plug-ins are skipped and/or reverted and the status of the deployment is FAILED. A summary is only present if plug-ins successfully deploy.
summary.plugins.total The total number of plug-ins in the package.
summary.plugins.imported The number of plug-ins in the package that successfully imported.
summary.plugins.skipped The number of plug-ins in the package that were skipped because there were no changes.
summary.objects Overview of deployment results for the objects included in the original deployment request, as part of the package (.zip).
summary.objects.total The total number of objects in the package.
summary.objects.imported The number of objects in the package that successfully imported.
summary.objects.failed The number of objects in the package that failed to import due to problems.
summary.objects.skipped The number of objects in the package that were skipped because there were no changes.
summary.adminConsoleSettings.total The total number of Admin Console settings included.
summary.adminConsoleSettings.imported The number of Admin Console settings that were successfully imported.
summary.adminConsoleSettings.failed The number of Admin Console settings that failed to import due to problems.
summary.adminConsoleSettings.skipped The number of Admin Console settings that were skipped because there were no changes.
summary.deploymentLogUrl The URL to use to retrieve the deployment log of this deployment.

If the status of the deployment is FAILED the deploymentUrl is still accessible as a top-level attribute rather than nested in the "summary".
status Status of the deployment. See Deployment statuses for the full list of possible values and meaning.

Response example

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
{
    "summary": {
        "databaseScripts": 0,
        "adminConsoleSettings": {
            "total": 7,
            "imported": 6,
            "failed": 0,
            "skipped": 1
        },
        "plugins": {
            "total": 3,
            "imported": 3,
            "skipped": 0
        },
        "objects": {
            "total": 22,
            "imported": 22,
            "failed": 0,
            "skipped": 0
        },
        "deploymentLogUrl": "https://mysite.appiancloud.com/suite/deployment-management/v1/deployments/d243b14c-3ba5-41c3-9f51-76da51beb8f5/log/"
    },
    "status": "COMPLETED"
}

Feedback